"""
Default values for liquidpy
"""

LIQUID_LOGGER_NAME = 'liquidpy'
LIQUID_DEFAULT_MODE = 'mixed'
LIQUID_MODES = ['compact', 'mixed', 'loose']

LIQUID_STATE_OPENTAG            = '{%'
LIQUID_STATE_OPENTAG_COMPACT    = '{%-'
LIQUID_STATE_CLOSETAG           = '%}'
LIQUID_STATE_CLOSETAG_COMPACT   = '-%}'
LIQUID_EXPR_OPENTAG             = '{{'
LIQUID_EXPR_OPENTAG_COMPACT     = '{{-'
LIQUID_EXPR_CLOSETAG            = '}}'
LIQUID_EXPR_CLOSETAG_COMPACT    = '-}}'
LIQUID_COMMENT_OPENTAG          = '{#'
LIQUID_COMMENT_OPENTAG_COMPACT  = '{#-'
LIQUID_COMMENT_CLOSETAG         = '#}'
LIQUID_COMMENT_CLOSETAG_COMPACT = '-#}'

LIQUID_PAIRED_TAGS = [
	((LIQUID_STATE_OPENTAG, LIQUID_STATE_OPENTAG_COMPACT),
	 (LIQUID_STATE_CLOSETAG, LIQUID_STATE_CLOSETAG_COMPACT)),
	((LIQUID_EXPR_OPENTAG, LIQUID_EXPR_OPENTAG_COMPACT),
	 (LIQUID_EXPR_CLOSETAG, LIQUID_EXPR_CLOSETAG_COMPACT)),
	((LIQUID_COMMENT_OPENTAG, LIQUID_COMMENT_OPENTAG_COMPACT),
	 (LIQUID_COMMENT_CLOSETAG, LIQUID_COMMENT_CLOSETAG_COMPACT))]
LIQUID_OPEN_TAGS = (LIQUID_STATE_OPENTAG, LIQUID_STATE_OPENTAG_COMPACT,
	LIQUID_EXPR_OPENTAG, LIQUID_EXPR_OPENTAG_COMPACT,
	LIQUID_COMMENT_OPENTAG, LIQUID_COMMENT_OPENTAG_COMPACT)
LIQUID_COMPACT_TAGS = (LIQUID_STATE_OPENTAG_COMPACT, LIQUID_STATE_CLOSETAG_COMPACT,
	LIQUID_EXPR_OPENTAG_COMPACT, LIQUID_EXPR_CLOSETAG_COMPACT,
	LIQUID_COMMENT_OPENTAG_COMPACT, LIQUID_COMMENT_CLOSETAG_COMPACT)

LIQUID_RENDER_FUNC_NAME     = '_liquid_render_function'
LIQUID_SOURCE_NAME          = '_liquidpy_source'
LIQUID_DEBUG_SOURCE_CONTEXT = 5

LIQUID_COMPILED_RENDERED     = '_liquid_rendered'
LIQUID_COMPILED_RR_APPEND    = '_liquid_ret_append'
LIQUID_COMPILED_RR_EXTEND    = '_liquid_ret_extend'
LIQUID_COMPILED_CONTEXT      = '_liquid_context'
LIQUID_LIQUID_FILTERS        = '_liquid_liquid_filters'
LIQUID_DEFAULT_ENVS          = {
	'true' : True,
	'false': False,
	'nil'  : None
}
